Debian Bug report logs - #703861
ITP: ruby-safe-yaml -- safer YAML loader for Ruby

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Cédric Boutillier <boutil@debian.org>

Date: Mon, 25 Mar 2013 01:03:02 UTC

Owned by: "Cédric Boutillier" <boutil@debian.org>

Severity: wishlist

Fixed in version ruby-safe-yaml/0.9.0-1

Done: Cédric Boutillier <boutil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Cédric Boutillier" <boutil@debian.org>:
Bug#703861; Package wnpp. (Mon, 25 Mar 2013 01:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <boutil@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, "Cédric Boutillier" <boutil@debian.org>. (Mon, 25 Mar 2013 01:03:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-safe-yaml -- safer YAML loader for Ruby
Date: Mon, 25 Mar 2013 02:00:16 +0100
Package: wnpp
Severity: wishlist
Owner: "Cédric Boutillier" <boutil@debian.org>

* Package name    : ruby-safe-yaml
  Version         : 0.9.0
  Upstream Author : Dan Tao <daniel.tao@gmail.com>
* URL             : http://dtao.github.com/safe_yaml/
* License         : Expat
  Programming Lang: Ruby
  Description     : safer YAML loader for Ruby

 SafeYAML provides an alternative implementation of YAML.load suitable for
 accepting user input in Ruby applications.
 .
 Unlike Ruby's built-in implementation of YAML.load, SafeYAML's version does
 not expose applications to arbitrary code execution exploits.

 This package will be maintained in the Ruby Extras Team.

 Cheers,

 Cédric



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 28 Mar 2013 07:06:07 GMT) Full text and rfc822 format available.

Reply sent to Cédric Boutillier <boutil@debian.org>:
You have taken responsibility. (Wed, 17 Apr 2013 09:04:07 GMT) Full text and rfc822 format available.

Notification sent to Cédric Boutillier <boutil@debian.org>:
Bug acknowledged by developer. (Wed, 17 Apr 2013 09:04:07 GMT) Full text and rfc822 format available.

Message #12 received at 703861-close@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 703861-close@bugs.debian.org
Subject: Bug#703861: fixed in ruby-safe-yaml 0.9.0-1
Date: Wed, 17 Apr 2013 09:00:36 +0000
Source: ruby-safe-yaml
Source-Version: 0.9.0-1

We believe that the bug you reported is fixed in the latest version of
ruby-safe-yaml, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703861@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <boutil@debian.org> (supplier of updated ruby-safe-yaml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 28 Mar 2013 01:10:10 +0100
Source: ruby-safe-yaml
Binary: ruby-safe-yaml
Architecture: source all
Version: 0.9.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <boutil@debian.org>
Description: 
 ruby-safe-yaml - safer YAML loader for Ruby
Closes: 703861
Changes: 
 ruby-safe-yaml (0.9.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #703861)
Checksums-Sha1: 
 8a83b3fcf6a25c1b4a4f2f6e71f91b648bee2621 2112 ruby-safe-yaml_0.9.0-1.dsc
 d137a0b978e63014794887c0e77d05cc424e7a7d 19884 ruby-safe-yaml_0.9.0.orig.tar.gz
 ea12dd9656c45d04825e02b4d7504741ea0dd870 2509 ruby-safe-yaml_0.9.0-1.debian.tar.gz
 35ad87f6b6a2f4a55f43bd05d88e29022f29740e 15224 ruby-safe-yaml_0.9.0-1_all.deb
Checksums-Sha256: 
 02f649f9af97fa77aebd33e9ef42b56036a8f0d308017cb5e333cf165514f01d 2112 ruby-safe-yaml_0.9.0-1.dsc
 3e506f55444a6924cb54a5edef56cf296902083da6c2eca15ad2f4c47582bd14 19884 ruby-safe-yaml_0.9.0.orig.tar.gz
 bea363206896f9fa77447f397986a344f04db2db7b47f796f8a228a2f4895fcc 2509 ruby-safe-yaml_0.9.0-1.debian.tar.gz
 28c02e72674578ee96352005e046b4715874353c0dc6ffe8735cf8c8e84773c4 15224 ruby-safe-yaml_0.9.0-1_all.deb
Files: 
 9dce24dff81461452ca7dcce01325870 2112 ruby optional ruby-safe-yaml_0.9.0-1.dsc
 028e855c2ce734c11bd7a1549e01a102 19884 ruby optional ruby-safe-yaml_0.9.0.orig.tar.gz
 8071f537acf322224f6b88716b5a9cd1 2509 ruby optional ruby-safe-yaml_0.9.0-1.debian.tar.gz
 4d307442ad3574787b397ef2feb93191 15224 ruby optional ruby-safe-yaml_0.9.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRU4suAAoJENpJWPYR4UnpdpAP/37vClBthk67fvXGakjmJdCV
IcasHAxgZY8rPuV1PrF/qDxBKInp8/wtalPGi68dJ8XIMLdRXptpcdne5Oe/4no8
at00laEmBjiZyVcp7gGh2H5fhhoagKdpexA4+MHulJhKDq0fRLQCxtOdZMMjGRed
Wmb2vWf1MhWEV0wFpnhDKcr7LJZzKUf2KujIKt3zxAx3F75uJ7nE+SRsViLu+EA7
GAhRQI7aRRZgUqxD1YUTk09Be2EwIKbx2DTewwdlA7fdSMxN2zVh7Wr7xEOwt/3H
05EC7JAZY1QKpRUBD90H1MJ90DB/wGCRF84fC5sctmNess9G5SiT6U9pAYGYQSoX
isLNCGEV3eQFzYmH9OAaFS+C/715zLV2Z2iNI/K0ZIee8q2Nmi1suZqcpq7nbHcS
xdz3/f4v4IiO2TQjtmOe34uUSJMAdOgQ7XM9c9ZxwvBCuj0BxISRjVUbfhkBEJR6
XrHj0FN9ckyIRn6DPAMa+Wt0j98qXMIpndziw7dWQb2Ufp1RyXiqx8WHhTgCt/c3
AySukbJBVzV10Nz3/xlZ0lFsmwgy1bXrVLS/jB6cYbXv4cGlclcdDnul86TnuhNn
ixZYIbD+1jukVPJf5PEBvbgC1SfUZlJm73P+gaFSkTYIQIq22xVeRL438L4AC7v1
EvuZlb3hHvhxL/knfQBB
=nryO
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 May 2013 07:29:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:05:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.